
QGIS Application - Bug report #12546

Rotate tool not availlable when using rules and svg symbology

2015-04-10 11:09 AM - Arnold Huisman

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20688

Description

When using rulebased styles in combination with a data defined angle for a svg symbol, the rotate tool is not availlble for the layer. My

current workaround is to use a slider field to set the correct angle of the data defined field. This is cumbersome and error-prone. Also the

map is not updated correctly right away, making it very hard to see the angle of an icon.

The best solution would be to allow for data defined angles in the rulebased style, just like the other styles. I'm assuming the rotate tool

will work fine then.

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.1 to Version 2.8.2

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-06-24 03:49 AM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #12123
